summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLucki2019-06-14 15:59:22 +0200
committerLucki2019-06-14 16:27:57 +0200
commit0bf0baacd762bd07ed3eb98f3d9bffbb820489e8 (patch)
treeb13ec9b9776094b95915a8b393bc141d4e6d9977
parentc0b85a21258afdadd0b99038baad0d7d07b67c9c (diff)
downloadaur-0bf0baacd762bd07ed3eb98f3d9bffbb820489e8.tar.gz
upgpkg: smokinguns-git 1.1.r859.gf5d9ecf2-7
- cosmetics - give download proper file ending
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD80
2 files changed, 42 insertions, 42 deletions
diff --git a/.SRCINFO b/.SRCINFO
index fc77a63c375..c56a6ef5d2d 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = smokinguns-git
pkgdesc = A semi-realistic simulation of the old west great atmosphere built on id Tech 3.
pkgver = 1.1.r859.gf5d9ecf2
- pkgrel = 6
+ pkgrel = 7
url = https://www.smokin-guns.org
changelog = .CHANGELOG
arch = i686
@@ -22,7 +22,7 @@ pkgbase = smokinguns-git
conflicts = smokinguns
conflicts = smokinguns-data
source = smokinguns::git+https://github.com/smokin-guns/SmokinGuns.git
- source = smokinguns-data::https://www.smokin-guns.org/downloads/Smokin_Guns_1.1.zip
+ source = smokinguns-data.zip::https://www.smokin-guns.org/downloads/Smokin_Guns_1.1.zip
source = smokinguns.desktop
sha512sums = SKIP
sha512sums = 51954ce00cccd9eb95a10491f0fcdea2d024058da11cbda7ee56c6369e8bc101d89ed95549cf4255393c3e1bec4585be12937e7ed7b20ff4cc0ce96685a5ce72
diff --git a/PKGBUILD b/PKGBUILD
index 5ab5158269c..e213069f048 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@
pkgname=smokinguns-git
_pkgname=${pkgname%-git}
pkgver=1.1.r859.gf5d9ecf2
-pkgrel=6
+pkgrel=7
pkgdesc='A semi-realistic simulation of the old west great atmosphere built on id Tech 3.'
url="https://www.smokin-guns.org"
arch=('i686' 'x86_64')
@@ -14,73 +14,73 @@ depends=('sdl' 'speex' 'hicolor-icon-theme' 'freetype2' 'libgl' 'libjpeg-turbo')
makedepends=('git' 'openal' 'glu')
conflicts=('smokinguns-bin' 'smokinguns' 'smokinguns-data')
provides=('smokinguns-data' 'smokinguns')
-source=("${_pkgname}::git+https://github.com/smokin-guns/SmokinGuns.git"
- "${_pkgname}-data::https://www.smokin-guns.org/downloads/Smokin_Guns_1.1.zip"
- "${_pkgname}.desktop")
+source=("$_pkgname::git+https://github.com/smokin-guns/SmokinGuns.git"
+ "$_pkgname-data.zip::https://www.smokin-guns.org/downloads/Smokin_Guns_1.1.zip"
+ "$_pkgname.desktop")
sha512sums=('SKIP'
'51954ce00cccd9eb95a10491f0fcdea2d024058da11cbda7ee56c6369e8bc101d89ed95549cf4255393c3e1bec4585be12937e7ed7b20ff4cc0ce96685a5ce72'
'37aefb4a9e811644af09bbbfdb35d6a2572bc70b6fe8ff0078330d1070e73ebcd18f2e656156f1e3d92b2ec7f6fdffe63b2c66018b449d8b5aa6402b3eb24d7d')
pkgver()
{
- cd "${srcdir}/${_pkgname}" || exit
- git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
+ cd "$srcdir/$_pkgname" || exit
+ git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
}
prepare()
{
- cd "${srcdir}/${_pkgname}" || exit
+ cd "$srcdir/$_pkgname" || exit
- {
- # Set basedir
- echo "DEFAULT_BASEDIR = /usr/share/${_pkgname}"
+ {
+ # Set basedir
+ echo "DEFAULT_BASEDIR = /usr/share/$_pkgname"
- # Use system libraries
- echo "USE_INTERNAL_ZLIB=0"
- echo "USE_INTERNAL_JPEG=0"
- echo "USE_INTERNAL_SPEEX=0"
- echo "USE_INTERNAL_OPUS=1"
- echo "USE_INTERNAL_OGG=0"
+ # Use system libraries
+ echo "USE_INTERNAL_ZLIB=0"
+ echo "USE_INTERNAL_JPEG=0"
+ echo "USE_INTERNAL_SPEEX=0"
+ echo "USE_INTERNAL_OPUS=1"
+ echo "USE_INTERNAL_OGG=0"
- # Use system headers
- echo "USE_LOCAL_HEADERS=0"
+ # Use system headers
+ echo "USE_LOCAL_HEADERS=0"
- } >> "Makefile.local"
+ } >> "Makefile.local"
}
build()
{
- cd "${srcdir}/${_pkgname}" || exit
- make
+ cd "$srcdir/$_pkgname" || exit
+ make
}
package()
{
- cd "${srcdir}/Smokin' Guns 1.1" || exit
- install -d "${pkgdir}/usr/share/${_pkgname}/baseq3"
- install -m 644 baseq3/* "${pkgdir}/usr/share/${_pkgname}/baseq3"
- install -d "${pkgdir}/usr/share/${_pkgname}/${_pkgname}"
- install -m 644 "${_pkgname}"/* "${pkgdir}/usr/share/${_pkgname}/${_pkgname}"
+ cd "$srcdir/Smokin' Guns 1.1" || exit
+ install -d "$pkgdir/usr/share/$_pkgname/baseq3"
+ install -m 644 baseq3/* "$pkgdir/usr/share/$_pkgname/baseq3"
+ install -d "$pkgdir/usr/share/$_pkgname/$_pkgname"
+ install -m 644 "$_pkgname"/* "$pkgdir/usr/share/$_pkgname/$_pkgname"
- cd "${srcdir}/${_pkgname}" || exit
+ cd "$srcdir/$_pkgname" || exit
- SUFFIX=${CARCH//i686/i386}
- install -Dm 755 "build/release-linux-${SUFFIX}/${_pkgname}.${SUFFIX}" \
- "${pkgdir}/usr/bin/${_pkgname}"
+ SUFFIX=${CARCH//i686/i386}
+ install -Dm 755 "build/release-linux-$SUFFIX/$_pkgname.$SUFFIX" \
+ "$pkgdir/usr/bin/$_pkgname"
- install -Dm 755 "build/release-linux-${SUFFIX}/${_pkgname}_dedicated.${SUFFIX}" \
- "${pkgdir}/usr/bin/${_pkgname}_dedicated"
+ install -Dm 755 "build/release-linux-$SUFFIX/${_pkgname}_dedicated.$SUFFIX" \
+ "$pkgdir/usr/bin/${_pkgname}_dedicated"
- install -Dm 644 "build/release-linux-${SUFFIX}/renderer_opengl1_${SUFFIX}.so" \
- "${pkgdir}/usr/share/${_pkgname}"
+ install -Dm 644 "build/release-linux-$SUFFIX/renderer_opengl1_$SUFFIX.so" \
+ "$pkgdir/usr/share/$_pkgname"
- install -Dm 644 "build/release-linux-${SUFFIX}/renderer_opengl2_${SUFFIX}.so" \
- "${pkgdir}/usr/share/${_pkgname}"
+ install -Dm 644 "build/release-linux-$SUFFIX/renderer_opengl2_$SUFFIX.so" \
+ "$pkgdir/usr/share/$_pkgname"
- install -Dm 644 "${srcdir}/${_pkgname}.desktop" \
- "${pkgdir}/usr/share/applications/${_pkgname}.desktop"
+ install -Dm 644 "$srcdir/$_pkgname.desktop" \
+ "$pkgdir/usr/share/applications/$_pkgname.desktop"
- install -Dm 644 "misc/${_pkgname}.png" \
- "${pkgdir}/usr/share/icons/hicolor/256x256/apps/${_pkgname}.png"
+ install -Dm 644 "misc/$_pkgname.png" \
+ "$pkgdir/usr/share/icons/hicolor/256x256/apps/$_pkgname.png"
}